Skip to main content
GET
/
api
/
repos
/
{namespace}
/
{repo_name}
/
stats
Get repository stats
curl --request GET \
  --url https://hub.oxen.ai/api/repos/{namespace}/{repo_name}/stats \
  --header 'Authorization: Bearer <token>'
{
  "repository": {
    "data_size": 1074288000,
    "data_types": [
      {
        "data_size": 524288000,
        "data_type": "image",
        "file_count": 500
      },
      {
        "data_size": 550000000,
        "data_type": "tabular",
        "file_count": 5
      }
    ]
  },
  "status": "success",
  "status_message": "resource_found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required

Namespace of the repository

repo_name
string
required

Name of the repository

Response

Repository statistics

status
string
required
status_message
string
required
repository
object
required
Example:
{
  "data_size": 1074288000,
  "data_types": [
    {
      "data_size": 524288000,
      "data_type": "image",
      "file_count": 500
    },
    {
      "data_size": 550000000,
      "data_type": "tabular",
      "file_count": 5
    }
  ]
}
oxen_version
string | null